<!DOCTYPE html>
<html lang="en">
<<<<<<< HEAD
=======

>>>>>>> 8c7d24340294f78490be0ee0c7d24e5bdf1ccad1
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<<<<<<< HEAD
    <title>Document</title>
</head>
<body>
    <h1>Mi primer formulario</h1>
    
</body>
=======
    <title>Ejercicio Clase 3</title>
</head>

<body>
    <h1>Ejercicio Clase 3</h1>
    <form name="form" action="" method="GET">

        <label for="numero1">Ingrese Numero</label>
        <input type="number" name="numero1" id="numero1">
        <br><br>
        <label for="numero2">Ingrese Numero</label>
        <input type="number" name="numero2" id="numero2">
        <br><br>
        <input type="button" name="restar" id="restar" value="Restar">
        <input type="button" name="multiplicar" id="multiplicar" value="Multiplicar">
        <input type="button" name="dividir" id="dividir" value="Dividir">
        <input type="button" name="sumaCuadrados" id="sumaCuadrados" value="Suma de Cuadrados">
        <h2>Resultado:</h2>
        <h2 id="resultado"></h2>


    </form>
    <script type="text/javascript">
        let numero1;
        let numero2;
        let resultado;

        let btnRestar = document.getElementById("restar");
        let btnMultiplicar = document.getElementById("multiplicar");
        let btnDividir = document.getElementById("dividir");
        let btnSumaCuadrados = document.getElementById("sumaCuadrados");

        btnRestar.addEventListener('click',
            function () {
                numero1 = document.getElementById("numero1").value;
                numero2 = document.getElementById("numero2").value;
                resultado = parseInt(numero1, 10) - parseInt(numero2, 10);
                document.getElementById("resultado").innerHTML = resultado;
                console.log(resultado);


            }
        );


        btnMultiplicar.addEventListener('click',
            function () {
                numero1 = document.getElementById("numero1").value;
                numero2 = document.getElementById("numero2").value;
                resultado = parseInt(numero1, 10) * parseInt(numero2, 10);
                document.getElementById("resultado").innerHTML = resultado;
                console.log(resultado);
            }
        );

        btnDividir.addEventListener('click',
            function () {
                numero1 = document.getElementById("numero1").value;
                numero2 = document.getElementById("numero2").value;
                resultado = parseInt(numero1, 10) / parseInt(numero2, 10);
                document.getElementById("resultado").innerHTML = resultado;
                console.log(resultado);
            }
        );

        btnSumaCuadrados.addEventListener('click',
            function () {
                numero1 = document.getElementById("numero1").value;
                numero2 = document.getElementById("numero2").value;
                resultado = parseInt(numero1, 10) ** 2 + parseInt(numero2, 10) ** 2;
                document.getElementById("resultado").innerHTML = resultado;
                console.log(resultado);
            }
        );

    </script>




    </form>

</body>

>>>>>>> 8c7d24340294f78490be0ee0c7d24e5bdf1ccad1
</html>